## org.eclipse.datatools.modelbase.sql.query.impl
Class PredicateLikeImpl

    java.lang.Object
      ENamedElementImpl
          org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
              org.eclipse.datatools.modelbase.sql.query.impl.SQLQueryObjectImpl
                  org.eclipse.datatools.modelbase.sql.query.impl.QuerySearchConditionImpl
                      org.eclipse.datatools.modelbase.sql.query.impl.PredicateImpl
                          org.eclipse.datatools.modelbase.sql.query.impl.PredicateLikeImpl

All Implemented Interfaces:
  SearchCondition, Predicate, PredicateLike, QuerySearchCondition, SQLQueryObject, SQLObject

    public class PredicateLikeImpl

extends PredicateImpl
implements PredicateLike

An implementation of the model object 'SQL Predicate Like'.

The following features are implemented:

- `Not Like`
- `Pattern Value Expr`
- `Matching Value Expr`
- `Escape Value Expr`

Method Summary
`NotificationChain` `basicSetEscapeValueExpr(QueryValueExpression newEscapeValueExpr, NotificationChain msgs)`
`NotificationChain` `basicSetMatchingValueExpr(QueryValueExpression newMatchingValueExpr, NotificationChain msgs)`
`NotificationChain` `basicSetPatternValueExpr(QueryValueExpression newPatternValueExpr, NotificationChain msgs)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseAdd(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eUnset(int featureID)`
`QueryValueExpression` `getEscapeValueExpr()`
`QueryValueExpression` `getMatchingValueExpr()`
`QueryValueExpression` `getPatternValueExpr()`
`boolean` `isNotLike()`
`void` `setEscapeValueExpr(QueryValueExpression newEscapeValueExpr)`
`void` `setMatchingValueExpr(QueryValueExpression newMatchingValueExpr)`
`void` `setNotLike(boolean newNotLike)`
`void` `setPatternValueExpr(QueryValueExpression newPatternValueExpr)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.datatools.modelbase.sql.query.impl.PredicateImpl
`getSelectivityValue, isHasSelectivity, isNegatedPredicate, setHasSelectivity, setNegatedPredicate, setSelectivityValue`

Methods inherited from class org.eclipse.datatools.modelbase.sql.query.impl.QuerySearchConditionImpl

`basicSetCombinedLeft, basicSetCombinedRight, basicSetDeleteStatement, basicSetNest, basicSetQuerySelectHaving, basicSetQuerySelectWhere, basicSetTableJoined, basicSetUpdateStatement, basicSetValueExprCaseSearchContent, eBasicRemoveFromContainerFeature, getCombinedLeft, getCombinedRight, getDeleteStatement, getNest, getQuerySelectHaving, getQuerySelectWhere, getSQL, getTableJoined, getUpdateStatement, getValueExprCaseSearchContent, isNegatedCondition, setCombinedLeft, setCombinedRight, setDeleteStatement, setNegatedCondition, setNest, setQuerySelectHaving, setQuerySelectWhere, setTableJoined, setUpdateStatement, setValueExprCaseSearchContent`

Methods inherited from class org.eclipse.datatools.modelbase.sql.query.impl.SQLQueryObjectImpl
`getSourceInfo, setSourceInfo, setSQL`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.Predicate
`getSelectivityValue, isHasSelectivity, isNegatedPredicate, setHasSelectivity, setNegatedPredicate, setSelectivityValue`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.QuerySearchCondition
`getCombinedLeft, getCombinedRight, getDeleteStatement, getNest, getQuerySelectHaving, getQuerySelectWhere, getTableJoined, getUpdateStatement, getValueExprCaseSearchContent, isNegatedCondition, setCombinedLeft, setCombinedRight, setDeleteStatement, setNegatedCondition, setNest, setQuerySelectHaving, setQuerySelectWhere, setTableJoined, setUpdateStatement, setValueExprCaseSearchContent`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.expressions.SearchCondition
`getSQL, setSQL`

Method Detail

### isNotLike

    public boolean isNotLike()

  Specified by:
    `isNotLike` in interface `PredicateLike`
  Returns:
    the value of the 'Not Like' attribute.
  See Also:
    `PredicateLike.setNotLike(boolean)`, `SQLQueryModelPackage.getPredicateLike_NotLike()`

### setNotLike

    public void setNotLike(boolean newNotLike)

  Specified by:
    `setNotLike` in interface `PredicateLike`
  Parameters:
    `newNotLike` - the new value of the 'Not Like' attribute.
  See Also:
    `PredicateLike.isNotLike()`

### getPatternValueExpr

    public QueryValueExpression getPatternValueExpr()

  Specified by:
    `getPatternValueExpr` in interface `PredicateLike`
  Returns:
    the value of the 'Pattern Value Expr' containment reference.
  See Also:
    `PredicateLike.setPatternValueExpr(QueryValueExpression)`, `SQLQueryModelPackage.getPredicateLike_PatternValueExpr()`, `QueryValueExpression.getLikePattern()`

### basicSetPatternValueExpr

    public NotificationChain basicSetPatternValueExpr(QueryValueExpression newPatternValueExpr,
                                                      NotificationChain msgs)

### setPatternValueExpr

    public void setPatternValueExpr(QueryValueExpression newPatternValueExpr)

  Specified by:
    `setPatternValueExpr` in interface `PredicateLike`
  Parameters:
    `newPatternValueExpr` - the new value of the 'Pattern Value Expr' containment reference.
  See Also:
    `PredicateLike.getPatternValueExpr()`

### getMatchingValueExpr

    public QueryValueExpression getMatchingValueExpr()

  Specified by:
    `getMatchingValueExpr` in interface `PredicateLike`
  Returns:
    the value of the 'Matching Value Expr' containment reference.
  See Also:
    `PredicateLike.setMatchingValueExpr(QueryValueExpression)`, `SQLQueryModelPackage.getPredicateLike_MatchingValueExpr()`, `QueryValueExpression.getLikeMatching()`

### basicSetMatchingValueExpr

    public NotificationChain basicSetMatchingValueExpr(QueryValueExpression newMatchingValueExpr,
                                                       NotificationChain msgs)

### setMatchingValueExpr

    public void setMatchingValueExpr(QueryValueExpression newMatchingValueExpr)

  Specified by:
    `setMatchingValueExpr` in interface `PredicateLike`
  Parameters:
    `newMatchingValueExpr` - the new value of the 'Matching Value Expr' containment reference.
  See Also:
    `PredicateLike.getMatchingValueExpr()`

### getEscapeValueExpr

    public QueryValueExpression getEscapeValueExpr()

  Specified by:
    `getEscapeValueExpr` in interface `PredicateLike`
  Returns:
    the value of the 'Escape Value Expr' containment reference.
  See Also:
    `PredicateLike.setEscapeValueExpr(QueryValueExpression)`, `SQLQueryModelPackage.getPredicateLike_EscapeValueExpr()`, `QueryValueExpression.getLikeEscape()`

### basicSetEscapeValueExpr

    public NotificationChain basicSetEscapeValueExpr(QueryValueExpression newEscapeValueExpr,
                                                     NotificationChain msgs)

### setEscapeValueExpr

    public void setEscapeValueExpr(QueryValueExpression newEscapeValueExpr)

  Specified by:
    `setEscapeValueExpr` in interface `PredicateLike`
  Parameters:
    `newEscapeValueExpr` - the new value of the 'Escape Value Expr' containment reference.
  See Also:
    `PredicateLike.getEscapeValueExpr()`

### eInverseAdd

    public NotificationChain eInverseAdd(InternalEObject otherEnd,
                                         int featureID,
                                         NotificationChain msgs)

  Overrides:
    `eInverseAdd` in class `QuerySearchConditionImpl`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `QuerySearchConditionImpl`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Overrides:
    `eGet` in class `PredicateImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Overrides:
    `eSet` in class `PredicateImpl`

### eUnset

    public void eUnset(int featureID)

  Overrides:
    `eUnset` in class `PredicateImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Overrides:
    `eIsSet` in class `PredicateImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `PredicateImpl`

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.